/*

* FreeRTOS for AVR Small demo / Mega Pack V02 *
  
http://avr.paslog.jp/article/1157172.html
V02: 2010/04/11 by audin
V01: 2009/06/27 by audin
  
*/
#include "FreeRTOS.h"
#include "task.h"
#include <avr/interrupt.h>
#include "mega_regs.h"


#define RX_BUF_MAX 7
static uint8_t rx_buf[RX_BUF_MAX+1];
static uint8_t ix_new_rx=0,ix_head_rx=0;
//static byte tx_buf[TX_BUF_MAX+1];

extern xTaskHandle sio_Key_Input_tsk;

/*******************

* USART0_RX_vect
  
 *******************/
#if defined( USART0_RX_vect )
	ISR(USART0_RX_vect)
#elif defined( USART0_RXC_vect )
	ISR(USART0_RXC_vect)
#elif defined( USART_RX_vect )
	ISR(USART_RX_vect)
#elif defined( USART_UDRE_vect )
	ISR(USART_UDRE_vect)
#endif
{
	uint8_t rdata = RX_REG;

	if(ix_head_rx != ((ix_new_rx+1) & RX_BUF_MAX) ){	// Mobt@̎
		rx_buf[ ix_new_rx++ ] = rdata;
		ix_new_rx &= RX_BUF_MAX;
		xTaskResumeFromISR( sio_Key_Input_tsk );		// W[Ăяo̎
	}
}

/*******************

* sioIntr_getRxData
  
 *******************/
uint8_t sioIntr_getRxData(void)
{
  uint8_t res;
  res			 = rx_buf[ ix_head_rx++ ];
  ix_head_rx	&= RX_BUF_MAX;
  return res;
}

/*******************

* sioIntr_isRxDataExist
  
 *******************/
uint8_t sioIntr_isRxDataExist(void)
{
  return ( ix_head_rx != ix_new_rx );
}

/*******************

* sioIntr_rxIntr_enable
  
 *******************/
void sioIntr_rxIntr_enable(void)
{
  UCSR0B |= _BV(RXCIE0);
}

/*******************

* sioIntr_rxIntr_disable
  
 *******************/
void sioIntr_rxIntr_disable(void)
{
  UCSR0B &= (~_BV(RXCIE0));
}

