#include "mega_regs.h"


typedef unsigned char BYTE;
#define setBit(bit,reg) ( reg |= (BYTE)_BV( bit ) )
#define clrBit(bit,reg) ( reg &=( (BYTE)~_BV( bit ) ) )

#define ARDUINO
#if defined( ARDUINO )
#define LED_PORT		PORTB
#define LED_PORT_DDR	DDRB
#define LED_BIT			PORTB5
#else
#define LED_PORT		PORTC
#define LED_PORT_DDR	DDRC
#define LED_BIT			PORTC0
#endif


/*******************

* ledDrv_init			
  
 *******************/
void ledDrv_init(void)
{
  setBit( LED_BIT, LED_PORT_DDR );
}

/*******************

* vLed_On				
  
 *******************/;
void ledDrv_ledOn(void)
{
  setBit( LED_BIT, LED_PORT );
}

/*******************

* vLed_Off				
  
 *******************/
void ledDrv_ledOff(void)
{
  clrBit( LED_BIT, LED_PORT );
}
