/*

* FreeRTOS for AVR Small demo / Mega Pack V02 *
  
http://avr.paslog.jp/article/1157172.html
V02: 2010/04/11 by audin
V01: 2009/06/27 by audin
  
*/

#include "FreeRTOS.h"
#include "task.h"

#include "led_tsk.h"
#include "sio_tsk.h"

xTaskHandle hSio_Key_Input_tsk;


/*******************

* port_init
  
 *******************/
void port_init(void)
{
  /* set pull up to all i/o port. */
  	PORTB = 0xFF;
  	PORTC = 0xFF;
  	PORTD = 0xFF;
#if defined( PORTA )
	PORTA = 0xFF;
#endif
}

/*******************

* main֐
  
 *******************/
portSHORT main( void )
{
  port_init();
  sio_init( 38400 );

  xTaskCreate( led_tsk,			"LED_Task",	100, NULL, tskIDLE_PRIORITY + 1 , NULL);
  xTaskCreate( sio_tsk,			"UART_Task",150, NULL, tskIDLE_PRIORITY + 2 , NULL);
  xTaskCreate( sio_Key_Input_tsk,	"Key_Task",	100, NULL, tskIDLE_PRIORITY + 3 , &hSio_Key_Input_tsk);

  vTaskStartScheduler();

  return 0;
}
